%define major 3
%define libname %mklibname fm %major
%define develname %mklibname -d fm

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	1.1.4
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
Patch0:		libfm-0.1.5-set-cutomization.patch
Url:		http://pcmanfm.sourceforge.net/
BuildRequires: pkgconfig(cairo) >= 1.8.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(libmenu-cache) >= 0.3.2
BuildRequires: pkgconfig(pango) >= 1.16.0
BuildRequires:	vala >= 0.13
BuildRequires:	intltool >= 0.40.0

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
filesystems supported by gvfs.

%package -n %libname
Group:		File tools
Summary:	%{name} library package
Requires:	%{name} >= %{version}
Requires:	lxshortcut

%description -n %libname
%summary.

%package -n %develname
Group:		File tools
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .customization

%build
%define Werror_cflags %nil
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%find_lang %{name}

%post
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun
if [ "$1" = "0" ]; then
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
%config(noreplace) %{_sysconfdir}/xdg/libfm/pref-apps.conf
%{_bindir}/libfm-pref-apps
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/archivers.list
%{_datadir}/%{name}/ui/*
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/libfm-pref-apps.1*

%files -n %libname
%{_libdir}/libfm-gtk.so.%{major}*
%{_libdir}/libfm.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Dec 12 2013 zezinho <zezinho> 1.1.4-1.mga4
+ Revision: 556501
- new version 1.1.4

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2.2-2.mga4
+ Revision: 533503
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 1.1.2.2-1.mga4
+ Revision: 473636
- new version 1.1.2.2

* Tue Aug 13 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 466022
- new version 1.1.2

* Tue Jul 30 2013 fwang <fwang> 1.1.1-2.mga4
+ Revision: 461236
- rebuild for new menu-cache

* Tue Jul 23 2013 fwang <fwang> 1.1.1-1.mga4
+ Revision: 457370
- new version 1.1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 357111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - move requires into lib, which is the correct place

* Thu Nov 08 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 316349
- lxshortcut is required for creating shortcuts

* Mon Nov 05 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 314333
- new version 1.1.0

* Wed Oct 31 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 311723
- update file list
- update file lilst
- new version 1.0.2

* Fri Sep 21 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 296535
- update file list
- update libmajor
- fix linkage
- br intltool
- new version 1.0.1

* Mon Oct 31 2011 zezinho <zezinho> 0.1.17-1.mga2
+ Revision: 160433
- change major version
- new version

  + tv <tv>
    - BuildRequires:  gtkdoc
    - new release

* Fri Feb 04 2011 ahmad <ahmad> 0.1.14-1.mga1
+ Revision: 46887
- imported package libfm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.1.14-1mdv2011.0
+ Revision: 602272
- new version 0.1.14

* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.12-0.rc1.1mdv2011.0
+ Revision: 557333
- update to 0.1.12 rc1
- drop string format patch, the bug filed upstream was closed as wontfix, so
  compile with Werror_cflags %%nil instead of having to rediff the patch
- add two patches from upstream git

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.11-0.beta3.1mdv2010.1
+ Revision: 539855
- new release, beta3, 0.1.11
- improve devel package requires

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.2mdv2010.1
+ Revision: 539349
- new git snapshot
- fix post and postun

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.1mdv2010.1
+ Revision: 536542
- update to 1.10 beta2

* Sun Apr 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.4mdv2010.1
+ Revision: 533573
- new git snapshot

* Fri Mar 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.2mdv2010.1
+ Revision: 527615
- improve package dir ownership

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.1mdv2010.1
+ Revision: 525010
- new upstream release 0.1.9 beta
- rediff str format patch

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.4mdv2010.1
+ Revision: 523486
- move the gio module to the main package to ease major upgrades
  (spotted by Charles A Edwards)
- more customization to make pcmanfm use xarchiver by default (xarchiver is already present on dual-free iso)

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.3mdv2010.1
+ Revision: 521821
- update to a git snapshot to fix a segfault in nautilus when libfm gio module is
  present
- fix file list
- add post and postun parts for the gio module

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.2mdv2010.1
+ Revision: 519891
- proper libification, (pointed out by fcrozat)

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.1mdv2010.1
+ Revision: 517592
- remove uneeded BR's
- improve spec, summary, configure options (thanks Fedora)
- don't ship .la (from Fedora)
- fix package requires so that main package doesn't require -devel packages
- import libfm


